<Project
     Sdk="Microsoft.NET.Sdk">
    <PropertyGroup>
        <TargetFramework>netstandard2.0</TargetFramework>
        <ProduceAssemblyReference>true</ProduceAssemblyReference>
    </PropertyGroup>
    <PropertyGroup
         Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
        <DebugType>pdbonly</DebugType>
        <DebugSymbols>true</DebugSymbols>
    </PropertyGroup>
    <ItemGroup>
        <PackageReference
             Include="Xamarin.Forms"
             Version="3.6.0.264807"/>
        <PackageReference
             Include="Xamarin.Essentials"
             Version="1.0.1"/>
        <PackageReference
             Include="Xamarin.Forms.DataGrid"
             Version="3.1.0"/>
        <PackageReference
             Include="taglib-sharp-netstandard2.0"
             Version="2.1.0"/>
        <PackageReference
             Include="LibVLCSharp.Forms"
             Version="3.0.0"/>
        <PackageReference
             Include="VideoLAN.LibVLC.Mac"
             Version="3.1.3"/>
        <PackageReference
             Include="Grpc"
             Version="1.21.0"/>
        <PackageReference
             Include="Grpc.Tools"
             Version="1.21.0"
             PrivateAssests="All"/>
        <PackageReference
             Include="Google.Protobuf"
             Version="3.8.0"/>
        <PackageReference
             Include="Xam.Plugins.Settings"
             Version="3.1.1"/>
    </ItemGroup>
    <ItemGroup>
        <Folder
             Include="Design\"/>
        <Folder
             Include="Design\Components\"/>
        <Folder
             Include="Design\Views\"/>
        <Folder
             Include="Design\Views\Songs\"/>
        <Folder
             Include="Design\Views\MainView\"/>
        <Folder
             Include="Design\Behaviors\"/>
        <Folder
             Include="Design\Components\NavigationMenu\"/>
        <Folder
             Include="Design\Views\Albums\"/>
        <Folder
             Include="Design\Views\Artists\"/>
        <Folder
             Include="Design\Views\Stations\"/>
        <Folder
             Include="Utils\"/>
        <Folder
             Include="Models\"/>
        <Folder
             Include="Services\"/>
        <Folder
             Include="Design\Views\Party\"/>
        <Folder
             Include="Design\Components\HostSelector\"/>
        <Folder
             Include="Design\Components\MemberList\"/>
        <Folder
             Include="Design\Components\Queue\"/>
        <Folder
             Include="Design\Views\Profile\"/>
    </ItemGroup>
    <ItemGroup>
        <Compile
             Update="Design\Components\MusicPlayer\Player.xaml.cs">
            <DependentUpon>Player.xaml</DependentUpon>
        </Compile>
    </ItemGroup>
    <ItemGroup>
        <Protobuf
             Include="Proto\general.proto"/>
        <Protobuf
             Include="Proto\party.proto"/>
        <Protobuf
             Include="Proto\playback.proto"/>
    </ItemGroup>
</Project>